﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JPK_VDEK.Core
{
    public class DbRej: INotifyPropertyChanged
    {
        //  LP, KTO,DOK,NIP,NAME,FAK,NETTO,BRUTTO,VAT,STVAT
        public int ID { get; set; }
        public String KTO { get; set; }
        public String DOK { get; set; }
        public String NIP { get; set; }
        public String NAME { get; set; }
        public String FAK { get; set; }
        public String NETTO { get; set; }
        public String BRUTTO { get; set; }
        public String VAT { get; set; }
        public String STVAT { get; set; }

        event PropertyChangedEventHandler INotifyPropertyChanged.PropertyChanged
        {
            add
            {
                NotifyPropertyChanged();
            }

            remove
            {
                NotifyPropertyChanged();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }


    }
}
