﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace JPK_VDEK
{
    /// <summary>
    /// Logika interakcji dla klasy JpkSap.xaml
    /// </summary>
    public partial class JpkSap : UserControl
    {
 
        public JpkSap()
        {
            InitializeComponent();
            foreach (var item in JpkData.getJpk().Cel.Cel)
            {
                cCel.Items.Add(item.Describe);
            }
            foreach (var item in JpkData.getJpk().Urz.Lista)
            {
                cUrz.Items.Add(item.Describe);
            }
            cUrz.SelectedIndex = 0;

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (JpkData.getJpk().wczytalemGL == true)
            {
                Mouse.OverrideCursor = System.Windows.Input.Cursors.Wait;
                string s = JpkData.getJpk().outScalony;
                int scel = cCel.SelectedIndex;
                int urz = cUrz.SelectedIndex;
                JpkData.getJpk().setCel(scel);
                JpkData.getJpk().setUrzad(urz);
                JPK jpk = JpkData.getBaseJpk();
                Mouse.OverrideCursor = null;
          /*      foreach (var spw in jpk.Ewidencja.SprzedazWiersz)
                {
                    if (spw.SprzedazVAT_Marza == 0 && spw.K_10 == 0 && spw.K_15 == 0 && spw.K_17 == 0 && spw.K_18 == 0 && spw.K_16 == 0 && spw.K_14 == 0 && spw.K_13 == 0 && spw.K_20 == 0 && spw.K_21 == 0 && spw.K_22 == 0 && spw.K_23 == 0 && spw.K_24 == 0 && spw.K_25 == 0 && spw.K_26 == 0 && spw.K_27 == 0 && spw.K_28 == 0 && spw.K_29 == 0 && spw.K_30 == 0 && spw.K_31 == 0 && spw.K_32 == 0 && spw.K_33 == 0 && spw.K_34 == 0 && spw.K_35 == 0
                  && spw.K_36 == 0)
                    {
                        bool f1 = false;
                      
                    }
                }*/

                 jpk.SaveToFile(s);
                MessageBox.Show("Wygenerowano plik JPK", "JPK_VDEK");
            }
        }

        private void cCel_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            int scel = cCel.SelectedIndex;
            JpkData.getJpk().setCel(scel);

        }

        private void cUrz_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            int urz = cUrz.SelectedIndex;
            JpkData.getJpk().setUrzad(urz);
        }
    }
}
