﻿using JPK_VDEK.Core;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SQLite;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace JPK_VDEK
{
    /// <summary>
    /// Logika interakcji dla klasy MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.ogolne.win = this;
 
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            ConfigPopup p = new ConfigPopup();
            p.ShowDialog();
        }

        private void MenuItem_Click_1(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Multiselect = false;
            openFileDialog.Title = "Podaj plik z rejestrem";
            openFileDialog.Filter = "sqlite files (*.sqlite)|*.sqlite";
            if (openFileDialog.ShowDialog() == true)
            {
                Mouse.OverrideCursor = System.Windows.Input.Cursors.Wait;
                String dbrej = openFileDialog.FileName;

                SQLiteConnection m_dbConnection;
                String con = "Data Source=" + dbrej + ";Version=3;";
                m_dbConnection = new SQLiteConnection(con);
                m_dbConnection.Open();
                string sql = "select * from REJ";
                SQLiteCommand command = new SQLiteCommand(sql, m_dbConnection);
                DataTable dt = new DataTable("REJ");
                SQLiteDataReader dataReader = command.ExecuteReader();
                try
                {
                    dt.Load(dataReader);
                }
                catch (Exception)
                {


                }

                dataReader.Close();
                m_dbConnection.Close();
                DbRej r = new DbRej();
                foreach (DataRow item in dt.Rows)
                {
                  //  LP, KTO,DOK,NIP,NAME,FAK,NETTO,BRUTTO,VAT,STVAT
                    r = new DbRej();
                    r.ID = Convert.ToInt32(item["LP"].ToString());
                    r.KTO = item["KTO"].ToString();
                    r.DOK = item["DOK"].ToString();
                    r.NIP = item["NIP"].ToString();
                    r.NAME = item["NAME"].ToString();
                    r.FAK = item["FAK"].ToString();
                    r.NETTO = item["NETTO"].ToString();
                    r.VAT = item["VAT"].ToString();
                    r.BRUTTO = item["BRUTTO"].ToString();
                    r.STVAT = item["STVAT"].ToString();
                    JpkData.getJpk().Rej.Add(r);

                }
                JpkData.getJpk().DB = dbrej;
                this.DataContext = JpkData.getJpk();
                Mouse.OverrideCursor = null;
            }
        }
    }
}
